%define commit  dde13b089c0c03934c3943b3e80289f59e16f8dd

Name:           qscrabble3d
Summary:        Qscrabble
Version:        4.0.10
Release:        %mkrel 1
Group:          Games/Boards
License:        GPLv3
URL:            https://github.com/Scrabble3D/4.0
Source0:        https://github.com/Scrabble3D/4.0/archive/%{commit}.tar.gz
Patch0:         fix-target.patch
Patch1:         0001-fix-qt-115001.patch

BuildRequires:  qmake
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Concurrent)

Requires:       qtquick3d6
Requires:       qtcharts6

%description
Qscrabble

%prep
%autosetup -p1 -n 4.0-%{commit}
# destination is hardcoded
sed -i "s|@BINDIR@|%{buildroot}%{_bindir}|" QScrabble.pro

%build
%qmake_qt6 QScrabble.pro
%make_build %{?_smp_mflags} BINDIR=%{_bindir}

%install
%make_install

%files
%{_bindir}/Scrabble3D
